> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Source

> Deletes all boosted pages associated with a given source ID.



## OpenAPI

````yaml DELETE /boosted-pages/delete-source/{id}
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-pages/delete-source/{id}:
    delete:
      summary: Delete Boosted Pages by Source ID
      description: Deletes all boosted pages associated with a given source ID.
      operationId: deleteBoostedPagesBySource
      parameters:
        - name: id
          in: path
          description: Source ID used to identify boosted pages to delete
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Boosted pages successfully deleted
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                type: object
        '404':
          description: No boosted pages found for this source ID
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````